
module.exports = function (params, worker, processes, failed) {
    let _this = this;
    console.log('clusterlaunch')
    if (params._cluster.isMaster) {
        let cpus = (params.processCount) ? params.processCount:require('os').cpus().length;
        console.log('Forking S_Loc_Instance Version', require('./package.json').version);
        for (let i = 0; i < cpus; i++) {
            let workerP = _this.cluster.fork();
            if (worker) {
                workerP.on('message', function (message) {
                    worker(_this, workerP.id, message);
                });
            }
        }
    } else {
        if (processes) {
            processes(_this.cluster.worker.id, params.processCount)
        }
    }
}